> ## Documentation Index
> Fetch the complete documentation index at: https://help.launcheshq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject Product



## OpenAPI

````yaml https://api.launcheshq.com/openapi.json post /api/admin/products/{slug}/reject
openapi: 3.1.0
info:
  title: LaunchHub API
  version: 1.0.0
servers: []
security: []
paths:
  /api/admin/products/{slug}/reject:
    post:
      tags:
        - admin
      summary: Reject Product
      operationId: reject_product_api_admin_products__slug__reject_post
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ProductResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        slug:
          type: string
          title: Slug
        tagline:
          type: string
          title: Tagline
        description:
          type: string
          title: Description
        website_url:
          type: string
          title: Website Url
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        featured_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Featured Image Url
        tags:
          items:
            type: string
          type: array
          title: Tags
          default: []
        platforms:
          items:
            type: string
          type: array
          title: Platforms
          default: []
        special_tags:
          items:
            type: string
          type: array
          title: Special Tags
          default: []
        twitter_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Twitter Url
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Linkedin Url
        instagram_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Instagram Url
        creator_links:
          items:
            type: string
          type: array
          title: Creator Links
          default: []
        badge_page_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Badge Page Url
        badge_verified:
          type: boolean
          title: Badge Verified
          default: false
        pricing:
          type: string
          title: Pricing
        launch_plan:
          type: string
          title: Launch Plan
          default: free
        status:
          type: string
          title: Status
        featured:
          type: boolean
          title: Featured
        vote_count:
          type: integer
          title: Vote Count
        launch_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Launch Date
        category_id:
          type: integer
          title: Category Id
        founder_id:
          type: integer
          title: Founder Id
        category:
          anyOf:
            - $ref: '#/components/schemas/CategoryBrief'
            - type: 'null'
        categories:
          items:
            $ref: '#/components/schemas/CategoryBrief'
          type: array
          title: Categories
          default: []
        founder:
          anyOf:
            - $ref: '#/components/schemas/FounderBrief'
            - type: 'null'
      type: object
      required:
        - id
        - name
        - slug
        - tagline
        - description
        - website_url
        - logo_url
        - pricing
        - status
        - featured
        - vote_count
        - launch_date
        - category_id
        - founder_id
      title: ProductResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CategoryBrief:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        slug:
          type: string
          title: Slug
      type: object
      required:
        - id
        - name
        - slug
      title: CategoryBrief
    FounderBrief:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        username:
          type: string
          title: Username
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      required:
        - id
        - name
        - username
      title: FounderBrief
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.